package a.b.a.k;

import java.util.Objects;
import java.util.concurrent.CountDownLatch;

public class a extends b {
    private CountDownLatch c;

    public a(String str, String str2, CountDownLatch countDownLatch) {
        super(str, str2);
        Objects.requireNonNull(countDownLatch, "Parameter latch should not be null.");
        this.c = countDownLatch;
    }

    @Override // a.b.a.k.b
    public void onFailure(int i) {
        super.onFailure(i);
        this.c.countDown();
    }

    @Override // a.b.a.k.b
    public void onSuccess() {
        super.onSuccess();
        this.c.countDown();
    }
}
